<p *ngIf="!readingHistory"><em>Loading...</em></p>

<table class='table table-striped' aria-labelledby="tableLabel" *ngIf="readingHistory">
  <thead>
    <tr>
      <th>Id</th>
      <th>Created On</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let reading of readingHistory.readings">
      <td>{{reading.id}}</td>
      <td>
        <a [title]="reading.createdOn" [routerLink]="['/reading' , reading.id, 'diagnosticsdata']">{{reading.createdOn}}</a>
      </td>
    </tr>
  </tbody>
</table>